Bug 1509322 - fedpkg >= 1.30-1 depends on bash-completion
Summary: fedpkg >= 1.30-1 depends on bash-completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 14:26 UTC by Petr Pisar
Modified: 2017-11-26 22:48 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.30-4.fc27 fedpkg-1.30-4.fc26 fedpkg-1.30-4.fc25 fedpkg-1.30-4.el7 fedpkg-1.30-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:28:05 UTC


Attachments (Terms of Use)

Description Petr Pisar 2017-11-03 14:26:37 UTC
Since this commit:

commit 4566dba5cc49ffe2a434267cb37ed3eeb2abd00e
Author: Chenxiong Qi <cqi@redhat.com>
Date:   Fri Oct 20 09:35:13 2017 +0800

    New release 1.30
    
    Signed-off-by: Chenxiong Qi <cqi@redhat.com>

fedpkg binary package requires bash-completion:

# rpm -q --requires fedpkg-1.30-3.fc28.noarch | grep bash-completion
bash-completion

Please change the hard dependency to a weak one (Recommends instead of Requires). There are people who do not want their shell to perform expensive and inaccurate completion.

Comment 1 Petr Pisar 2017-11-03 14:28:37 UTC
I can see you pushed it into all Fedoras.

Comment 3 Petr Pisar 2017-11-07 12:59:43 UTC
Thank you.

Comment 4 Fedora Update System 2017-11-09 03:49:49 UTC
fedpkg-1.30-4.el7 rpkg-1.51-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 5 Fedora Update System 2017-11-09 03:50:10 UTC
fedpkg-1.30-4.el7 rpkg-1.51-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 6 Fedora Update System 2017-11-09 03:51:40 UTC
fedpkg-1.30-4.el6 rpkg-1.51-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 7 Fedora Update System 2017-11-09 03:51:53 UTC
fedpkg-1.30-4.el6 rpkg-1.51-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 8 Fedora Update System 2017-11-09 03:53:54 UTC
fedpkg-1.30-4.fc25 rpkg-1.51-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 9 Fedora Update System 2017-11-09 03:54:08 UTC
fedpkg-1.30-4.fc25 rpkg-1.51-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 10 Fedora Update System 2017-11-09 03:56:55 UTC
fedpkg-1.30-4.fc26 rpkg-1.51-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 11 Fedora Update System 2017-11-09 03:57:09 UTC
fedpkg-1.30-4.fc26 rpkg-1.51-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 12 Fedora Update System 2017-11-09 03:59:24 UTC
fedpkg-1.30-4.fc27 rpkg-1.51-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 13 Fedora Update System 2017-11-09 03:59:38 UTC
fedpkg-1.30-4.fc27 rpkg-1.51-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 14 Fedora Update System 2017-11-09 19:54:28 UTC
fedpkg-1.30-4.fc27, rpkg-1.51-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 15 Fedora Update System 2017-11-11 16:01:28 UTC
fedpkg-1.30-4.fc25, rpkg-1.51-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 16 Fedora Update System 2017-11-11 16:12:25 UTC
fedpkg-1.30-4.el6, rpkg-1.51-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 17 Fedora Update System 2017-11-11 16:55:28 UTC
fedpkg-1.30-4.el7, rpkg-1.51-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 18 Fedora Update System 2017-11-11 17:28:44 UTC
fedpkg-1.30-4.fc26, rpkg-1.51-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 19 Fedora End Of Life 2017-11-16 18:35:29 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora Update System 2017-11-21 23:28:05 UTC
fedpkg-1.30-4.fc27, rpkg-1.51-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-11-23 19:46:36 UTC
fedpkg-1.30-4.fc26, rpkg-1.51-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-11-24 23:13:53 UTC
fedpkg-1.30-4.fc25, rpkg-1.51-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-11-26 21:52:41 UTC
fedpkg-1.30-4.el7, rpkg-1.51-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-11-26 22:48:29 UTC
fedpkg-1.30-4.el6, rpkg-1.51-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.